---
title: ImageCapture.track
slug: Web/API/ImageCapture/track
tags:
  - API
  - Experimental
  - Image
  - ImageCapture
  - Media
  - MediaStream Image Capture
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("MediaStream Image")}}</div>

<p>The <strong><code>track</code></strong> read-only property of the {{domxref("ImageCapture")}} interface returns a reference to the {{domxref("MediaStreamTrack")}} passed to the {{domxref("ImageCapture.ImageCapture","ImageCapture()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>mediaStreamTrack</em> = <em>imageCaptureObj</em>.track</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStreamTrack")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Image','#dom-imagecapture-track','track')}}</td>
   <td>{{Spec2('MediaStream Image')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ImageCapture.track")}}</p>
</div>
